StarPU Internal Handbook

Functions
driver_common.h File Reference
`#include <starpu.h>`
`#include <starpu_util.h>`
`#include <core/jobs.h>`
`#include <common/utils.h>`

Go to the source code of this file.

## Functions
void | _starpu_driver_start_job (struct _starpu_worker *args, struct _starpu_job *j, struct starpu_perfmodel_arch *perf_arch, int rank, int profiling)
void | _starpu_driver_end_job (struct _starpu_worker *args, struct _starpu_job *j, struct starpu_perfmodel_arch *perf_arch, int rank, int profiling)
void | _starpu_driver_update_job_feedback (struct _starpu_job *j, struct _starpu_worker *worker_args, struct starpu_perfmodel_arch *perf_arch, int profiling)
struct starpu_task * | _starpu_get_worker_task (struct _starpu_worker *args, int workerid, unsigned memnode)
int | _starpu_get_multi_worker_task (struct _starpu_worker *workers, struct starpu_task **tasks, int nworker, unsigned memnode)